
Foreman - Feature #23703

UI Button *Create Puppet Environment* should be removed

05/25/2018 09:06 AM - Ondřej Pražák

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1554465 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

A Puppet environment is not created properly because it is proposed for removal. There are several further actions that a user is

required to do to create an Environment, which makes the UI button Create Puppet Environment useless.

How reproducible:

Always

Steps to Reproduce:

1. Navigate to Configure > Environments.

2. Click Create Puppet Environment

3. Submit creating a new environment

4. See how it is removed from the list after a minute

Actual results:

Puppet environment that is removed after creating

Expected results:

A proper Puppet environment

Related issues:

Related to Foreman - Feature #24667: Create Puppet 4 environment directory st... Rejected

History

#1 - 05/25/2018 09:07 AM - Ondřej Pražák

- Subject changed from UI Button *Create Puppet Environment* should be removed

 to UI Button *Create Puppet Environment* should be removed

- Category changed from PuppetCA to Puppet integration

- Priority changed from High to Normal

#2 - 08/21/2018 08:06 AM - Ondřej Pražák

- Related to Feature #24667: Create Puppet 4 environment directory structure automatically when Puppet environment is created via WebUI added
